//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.06.29 at 03:28:50 PM CEST 
//


package net.ihe.gazelle.tempmodel.dtdefault.model;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for DTType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <pre>
 * &lt;simpleType name="DTType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="st"/&gt;
 *     &lt;enumeration value="bin"/&gt;
 *     &lt;enumeration value="bl"/&gt;
 *     &lt;enumeration value="bn"/&gt;
 *     &lt;enumeration value="cs"/&gt;
 *     &lt;enumeration value="int"/&gt;
 *     &lt;enumeration value="oid"/&gt;
 *     &lt;enumeration value="real"/&gt;
 *     &lt;enumeration value="ruid"/&gt;
 *     &lt;enumeration value="ts"/&gt;
 *     &lt;enumeration value="uid"/&gt;
 *     &lt;enumeration value="uuid"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "DTType")
@XmlEnum
public enum DTType {

    @XmlEnumValue("st")
    ST("st"),
    @XmlEnumValue("bin")
    BIN("bin"),
    @XmlEnumValue("bl")
    BL("bl"),
    @XmlEnumValue("bn")
    BN("bn"),
    @XmlEnumValue("cs")
    CS("cs"),
    @XmlEnumValue("int")
    INT("int"),
    @XmlEnumValue("oid")
    OID("oid"),
    @XmlEnumValue("real")
    REAL("real"),
    @XmlEnumValue("ruid")
    RUID("ruid"),
    @XmlEnumValue("ts")
    TS("ts"),
    @XmlEnumValue("uid")
    UID("uid"),
    @XmlEnumValue("uuid")
    UUID("uuid");
    private final String value;

    DTType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static DTType fromValue(String v) {
        for (DTType c: DTType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
